Bug 812212 - Firstboot: Register with auto-subscribe against older candlepin throws Network error
Firstboot: Register with auto-subscribe against older candlepin throws Networ...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.3
Unspecified Unspecified
high Severity unspecified
: rc
: ---
Assigned To: Adrian Likins
Entitlement Bugs
:
Depends On:
Blocks: 738066
  Show dependency treegraph
 
Reported: 2012-04-13 02:16 EDT by Shwetha Kallesh
Modified: 2012-04-24 13:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-24 12:43:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
network error (151.62 KB, image/png)
2012-04-13 02:16 EDT, Shwetha Kallesh
no flags Details

  None (edit)
Description Shwetha Kallesh 2012-04-13 02:16:19 EDT
Created attachment 577231 [details]
network error

Description of problem:
Firstboot: Register with auto-subscribe against older candlepin throws Network error and on skipping auto-subscribe it registers successfully

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.launch firstboot
2. In entitlement registration screen uncheck "skip automatic subscription selection " check box 
3.Progress through the registration screens until the system is successfully
registered
  
Actual results:
network error is thrown

Expected results:
Should say server doesnot support "Service-level",so cannot auto-subscribe

Additional info:
Comment 2 Adrian Likins 2012-04-17 10:18:03 EDT
can we get /var/log/rhsm/rhsm.log for this case?
Comment 3 Adrian Likins 2012-04-17 11:06:59 EDT
How old of a version of candlepin in this scenario?
Comment 4 Adrian Likins 2012-04-17 13:13:41 EDT
Also, what versions of subscription-manager?
Comment 5 Shwetha Kallesh 2012-04-18 06:19:14 EDT
Version of subscription-manager :

[root@dhcp201-196 ~]# rpm -qa | grep subscription-manager
subscription-manager-1.0.0-1.git.17.284aa0b.el6.x86_64
subscription-manager-migration-data-1.12.1.3-1.git.0.1b05607.el6.noarch
subscription-manager-migration-1.0.0-1.git.17.284aa0b.el6.x86_64
subscription-manager-debuginfo-0.99.13-1.el6.x86_64
subscription-manager-gnome-1.0.0-1.git.17.284aa0b.el6.x86_64
subscription-manager-firstboot-1.0.0-1.git.17.284aa0b.el6.x86_64

Candlepin Instance:
subscription.rhn.stage.redhat.com (version: unknown (on 04/12/2012))
Comment 6 Adrian Likins 2012-04-19 11:24:03 EDT
subscription-manager-1.0.0 is not the right version for rhel6.3. 
(1.0 is "master" from git, RHEL6.3 branch is 0.99)

What product is this from? (aka, what's in /etc/pki/product/). 

The stack trace I got from jsefler in email seems to indicate this is 
a variant of https://bugzilla.redhat.com/show_bug.cgi?id=812929

But I'd like to be able to reproduce this to verify.
Comment 7 Shwetha Kallesh 2012-04-23 09:06:31 EDT
Adrian,

       Product was /etc/pki/27060.pem

       I'm unable to re-produce the bug,may be because I used wrong version of subscription-manager,not sure.

The version of subscription-manager :

[root@dell-per300-01 ~]# rpm -qa | grep subscription-manager
subscription-manager-migration-0.99.14-1.git.11.8b35be4.el6_2.x86_64
subscription-manager-gnome-0.99.14-1.git.11.8b35be4.el6_2.x86_64
subscription-manager-migration-data-1.12.1.3-1.git.2.256386a.el6_2.noarch
subscription-manager-0.99.14-1.git.11.8b35be4.el6_2.x86_64
subscription-manager-firstboot-0.99.14-1.git.11.8b35be4.el6_2.x86_64

Note You need to log in before you can comment on or make changes to this bug.